# Bio.PDB.PDBMLParser module

This module contains a parser for PDBML (PDB XML) files.

PDBML is a representation of PDB data in XML format.

See https://pdbml.wwpdb.org/.

class Bio.PDB.PDBMLParser.PDBMLParser

  Bases: `object`

  A parser for PDBML (PDB XML) files. See https://pdbml.wwpdb.org/.

  This parser is based on the mmCIF parser also provided in the PDB package in the sense that the structure object returned by this parser is equal to the structure returned by the mmCIF parser for any given PDB structure.

  __init__()

    Initialize a PDBML parser.

  get_structure(source: int | str | bytes | PathLike | TextIO) → Structure

    Parse and return the PDB structure from XML source.

    Parameters:

      source (Union[int, str, bytes, PathLike, TextIO]) – The XML representation of the PDB structure

    Returns:

      the PDB structure

    Return type:

      Bio.PDB.Structure.Structure

  __firstlineno__ = 104
  __static_attributes__ = ('structure_builder',)

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub